List Sandbox Snapshots

  • GET
  • /workspaces
  • /:workspace
  • /sandboxes
  • /:sandbox_id
  • /snapshots

Get all snapshots for a sandbox

Request

REQUIRED SCOPES
SANDBOX_MANAGE
URL PARAMETERS
workspacerequiredstring
The human-readable ID of the workspace

Example: "my-company"

sandbox_idrequiredstring
The ID of the sandbox

Example: "sb-1234567890abcdef"

Response

RESPONSE BODY
urlread-onlystring
API endpoint to GET this object
html_urlread-onlystring
Web URL to view this object in Buddy.works
snapshotsShortSnapshotView[]
Collection of snapshots

Last modified on Jan 26, 2026

Request example

CURL
curl -X GET "https://api.buddy.works/workspaces/:workspace/sandboxes/:sandbox_id/snapshots" \ -H "Authorization: Bearer <YOUR-TOKEN>" \ -H "Content-Type: application/json"
EXAMPLE RESPONSE
{ "url": "https://api.buddy.works/workspaces/my-workspace/sandboxes/sb-12345/snapshots", "html_url": "https://app.buddy.works/my-project/sandboxes/sb-12345/snapshots", "snapshots": [ { "url": "https://api.buddy.works/workspaces/my-workspace/sandboxes/sb-12345/snapshots/sn-abc123def456", "html_url": "https://app.buddy.works/my-project/sandboxes/sb-12345/snapshots", "id": "sn-abc123def456", "name": "My API Sandbox-20250822T10:30:15", "size": 2, "status": "CREATED", "create_date": "2025-08-22T10:30:18.123456789Z" }, { "url": "https://api.buddy.works/workspaces/my-workspace/sandboxes/sb-12345/snapshots/sn-xyz789uvw012", "html_url": "https://app.buddy.works/my-project/sandboxes/sb-12345/snapshots", "id": "sn-xyz789uvw012", "name": "Production backup-20250821T15:45:33", "size": 4, "status": "CREATED", "create_date": "2025-08-21T15:45:36.987654321Z" }, { "url": "https://api.buddy.works/workspaces/my-workspace/sandboxes/sb-12345/snapshots/sn-mno345pqr678", "html_url": "https://app.buddy.works/my-project/sandboxes/sb-12345/snapshots", "id": "sn-mno345pqr678", "name": "Feature branch-20250820T09:15:42", "size": 1, "status": "CREATED", "create_date": "2025-08-20T09:15:45.456789012Z" } ] }
STATUS
200 OK